import { Service, ServiceConfiguration } from '@cross-lab-project/soa-client';
import { PeerConnection } from '@cross-lab-project/soa-client';
import { TypedEmitter } from 'tiny-typed-emitter';
type ServiceType = 'goldi/webcam';
declare const ServiceType: ServiceType;
export interface WebcamServiceConfiguration extends ServiceConfiguration {
    serviceType: ServiceType;
}
export declare class WebcamService__Producer implements Service<ServiceType> {
    serviceType: "goldi/webcam";
    serviceDirection: import("@cross-lab-project/soa-client").ServiceDirection;
    serviceId: string;
    track: MediaStreamTrack;
    constructor(track: MediaStreamTrack, serviceId: string);
    getMeta(): {
        serviceId: string;
        serviceType: "goldi/webcam";
        serviceDirection: import("@cross-lab-project/soa-client").ServiceDirection;
    };
    setupConnection(connection: PeerConnection, serviceConfig: ServiceConfiguration): void;
}
interface WebcamService__Consumer_Events {
    track: (event: {
        track: MediaStreamTrack;
    }) => void;
}
export declare class WebcamService__Consumer extends TypedEmitter<WebcamService__Consumer_Events> implements Service<ServiceType> {
    serviceType: "goldi/webcam";
    serviceDirection: import("@cross-lab-project/soa-client").ServiceDirection;
    serviceId: string;
    constructor(serviceId: string);
    getMeta(): {
        serviceId: string;
        serviceType: "goldi/webcam";
        serviceDirection: import("@cross-lab-project/soa-client").ServiceDirection;
    };
    setupConnection(connection: PeerConnection, serviceConfig: ServiceConfiguration): void;
}
export {};
//# sourceMappingURL=webcam.d.ts.map